ALTER TABLE `ndo_conninfo` ADD `data_start_time` DATETIME NOT NULL AFTER `last_checkin_time` ,
ADD `data_end_time` DATETIME NOT NULL AFTER `data_start_time` ;

ALTER TABLE `ndo_commands` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `object_id` , `config_type` ) ;

ALTER TABLE `ndo_contacts` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `contact_object_id` ) ;

ALTER TABLE `ndo_contactgroups` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `ndo_servicegroups` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `ndo_timeperiods` DROP INDEX `instance_id` ,
ADD UNIQUE `instance_id` ( `instance_id` , `config_type` , `object_id` ) ;

ALTER TABLE `ndo_logentries` ADD `entry_time` DATETIME NOT NULL AFTER `logentry_time` ,
ADD `entry_time_usec` INT NOT NULL AFTER `entry_time` ;

ALTER TABLE `ndo_logentries` ADD `realtime_data` SMALLINT NOT NULL ,
ADD `inferred_data_extracted` SMALLINT NOT NULL ;

ALTER TABLE `ndo_contactnotifications` CHANGE `contact_id` `contact_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hostchecks` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_servicechecks` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_servicestatus` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hoststatus` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_contactgroups` CHANGE `object_id` `contactgroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hosts` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hostdependencies` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `dependent_object_id` `dependent_host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hostextinfo` CHANGE `object_id` `host_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_hostgroups` CHANGE `object_id` `hostgroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_services` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_serviceextinfo` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_servicedependencies` CHANGE `object_id` `service_object_id` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `dependent_object_id` `dependent_service_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_servicegroups` CHANGE `object_id` `servicegroup_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_timeperiods` CHANGE `object_id` `timeperiod_object_id` INT( 11 ) NOT NULL DEFAULT '0' ;

ALTER TABLE `ndo_conninfo` CHANGE `connection` `connect_source` VARCHAR( 16 ) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL ;



